List cost catalog
curl --request GET \
--url https://api.hyperline.co/v1/ai/billing/costs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperline.co/v1/ai/billing/costs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperline.co/v1/ai/billing/costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperline.co/v1/ai/billing/costs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperline.co/v1/ai/billing/costs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperline.co/v1/ai/billing/costs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperline.co/v1/ai/billing/costs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"provider": "anthropic",
"model": "claude-sonnet-5",
"aliases": [
"claude-sonnet-5-latest"
],
"input_per_m_tokens": "3",
"output_per_m_tokens": "15",
"cached_input_per_m_tokens": "0.3",
"cache_write_per_m_tokens": "3.75",
"dimensions": [
{
"key": "cached_input_tokens",
"rate": "0.3",
"per": "1m"
}
],
"effective_from": "2026-09-01T00:00:00Z",
"source": "official",
"custom_item_id": null,
"override": null,
"enabled": true,
"enablement_source": "seen"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}AI > Costs
List cost catalog
List provider costs, negotiated overrides and custom items with enablement and pricing provenance; supports take/skip and enabled_only.
GET
/
v1
/
ai
/
billing
/
costs
List cost catalog
curl --request GET \
--url https://api.hyperline.co/v1/ai/billing/costs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperline.co/v1/ai/billing/costs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperline.co/v1/ai/billing/costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperline.co/v1/ai/billing/costs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperline.co/v1/ai/billing/costs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperline.co/v1/ai/billing/costs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperline.co/v1/ai/billing/costs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"provider": "anthropic",
"model": "claude-sonnet-5",
"aliases": [
"claude-sonnet-5-latest"
],
"input_per_m_tokens": "3",
"output_per_m_tokens": "15",
"cached_input_per_m_tokens": "0.3",
"cache_write_per_m_tokens": "3.75",
"dimensions": [
{
"key": "cached_input_tokens",
"rate": "0.3",
"per": "1m"
}
],
"effective_from": "2026-09-01T00:00:00Z",
"source": "official",
"custom_item_id": null,
"override": null,
"enabled": true,
"enablement_source": "seen"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum catalog entries to return.
Required range:
1 <= x <= 10000Example:
100
Required range:
x >= 0Was this page helpful?
⌘I

